function [iresp,sresp]=ISresidues(a,b,c,d,t);

% function [iresp,sresp]=ISresidues(a,b,c,d);
%
% returns VECTOR iresp containing impulse response 
% and VECTOR sresp containing step response by means residues, 
% evalued into the time interval t.
% Plots responses, when no output is requested

[NUM,DEN]=ss2tf(a,b,c,d);
NUM=NUM';
DEN=DEN';
[r,p,k]=residue(NUM,DEN);
[n,sizet]=size(t);
[n,m]=size(r);
i=1:n;
for j=1:sizet;
	iresp(j)=sum(r(i).*exp(p(i)*t(j)));
end
% step resonse
NUM(2:4)=NUM(1:3);
NUM(1)=0;
DEN(4)=0;
[r,p,k]=residue(NUM,DEN);
t=(0:0.01:10);
[n,sizet]=size(t);
[n,m]=size(r);
i=1:n;
for j=1:sizet;
   sresp(j)=sum(r(i).*exp(p(i)*t(j)));
%   s2res(j)=exp(real(p(1))*t(j))*(2*real(r(1))*cos(imag(p(1))*t(j))-2*imag(r(1))*sin(imag(p(1))*t(j)) )+1;
end
if (nargout==0)
   figure(1);
   plot(t,iresp);
   title('Impulse response');
	figure(2);
   plot(t,sresp);
   title('Step response');
end

